package J20250806.annotation;

import org.omg.CORBA.DynAnyPackage.Invalid;

/**
 * @author WanJl
 * @version 1.0
 * @title MyAnnotation
 * @description
 * @create 2025/8/6
 */
public @interface MyAnnotation {
    //public 属性类型 属性名() default 默认值;
    int a() default 666;

    String name() default "zhangsan";

    Class clazz() default Object.class;

    MyAnno02 myAnno02() default @MyAnno02("哈哈哈哈哈");

    Season season() default Season.SPRING;
    //数组
    int[] arr() default {1,2,3,4,5,6};
}
@interface MyAnno02{
    String value();
}
enum Season{
    SPRING,SUMMER,AUTUMN,WINTER;
}